package com.sd.business.controller.in;

import cn.hutool.core.bean.BeanUtil;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.common.core.domain.BaseSelectDto;
import com.sd.business.entity.in.dto.InOutStorageBomDto;
import com.sd.business.entity.in.dto.InOutStorageBomSelectDto;
import com.sd.business.entity.in.vo.InOutStorageBomExportVo;
import com.sd.business.entity.in.vo.InOutStorageBomVo;
import com.sd.business.service.in.InOutStorageBomService;
import com.sd.framework.util.TemplateExcelUtil;
import com.sd.framework.util.excel.util.ExcelUtil;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.servlet.http.HttpServletResponse;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
import java.util.Objects;


/**
 * <p>
 * 出入库bom 前端控制器
 * </p>
 *
 * @author
 * @since 2023-07-03
 */
@RestController
@RequestMapping("/inOutStorageBom")
public class InOutStorageBomController {

    @Autowired
    private InOutStorageBomService inOutStorageBomService;

    /**
     * 出入库bom分页
     */
    @PostMapping("/page")
    public Page<InOutStorageBomVo> page(@RequestBody InOutStorageBomSelectDto dto) {
        return inOutStorageBomService.getPage(dto);
    }

    /**
     * 出入库bom导出
     */
    @PostMapping("/exportExcel")
    public void exportExcel(@RequestBody InOutStorageBomSelectDto dto) {
        inOutStorageBomService.exportExcel(dto);
    }

    /**
     * 出入库bom明细
     */
    @PostMapping("/detail")
    public InOutStorageBomVo detail(@RequestBody BaseSelectDto dto) {
        return inOutStorageBomService.detail(dto.getId());
    }

    /**
     * 出入库bom新增
     */
    @PostMapping("/add")
    public void add(@RequestBody InOutStorageBomDto inOutStorageBomDto) {
        inOutStorageBomService.add(inOutStorageBomDto);
    }

    /**
     * 出入库bom编辑
     */
    @PostMapping("/edit")
    public void edit(@RequestBody InOutStorageBomDto inOutStorageBomDto) {
        inOutStorageBomService.edit(inOutStorageBomDto);
    }

    /**
     * 出入库bom删除
     */
    @PostMapping("/delete")
    public void delete(@RequestBody BaseSelectDto dto) {
        inOutStorageBomService.delete(dto.getId());
    }


    /**
     * 出入库bom流水导出
     */
    @PostMapping("/exportExcelSummary")
    public void exportExcelSummary(HttpServletResponse response, @RequestBody InOutStorageBomSelectDto dto) {
        dto.setPageNum(1);
        dto.setPageSize(9999999);
        Page<InOutStorageBomVo> page = inOutStorageBomService.getPage(dto);
        List<InOutStorageBomVo> list = page.getRecords();
        List<InOutStorageBomExportVo> exportList = BeanUtil.copyToList(list, InOutStorageBomExportVo.class);
        ExcelUtil.export(response, "出入库流水表", "导出数据", exportList, InOutStorageBomExportVo.class);
    }
}
