package com.sd.business.entity.purchase.vo;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;
import java.util.Date;

@Getter
@Setter
@ExcelIgnoreUnannotated
public class PurchaseInTransitBomVo {

    /**
     * bom规格 id
     */
    private Long bomSpecId;

    /**
     * 采购id
     */
    private Long purchaseId;

    /**
     * 流程id
     */
    private Long flowId;

    /**
     * bom规格编码
     */
    @ColumnWidth(20)
    @ExcelProperty(value = "品号", index = 0)
    private String bomSpecCode;

    /**
     * bom规格名称
     */
    @ColumnWidth(20)
    @ExcelProperty(value = "品名", index = 1)
    private String bomSpecName;

    /**
     * 采购单号
     */
    @ColumnWidth(20)
    @ExcelProperty(value = "采购单号", index = 2)
    private String purchaseCode;

    /**
     * 供应商名称
     */
    @ColumnWidth(20)
    @ExcelProperty(value = "供应商名称", index = 3)
    private String supplierName;

    /**
     * 采购数量
     */
    @ExcelProperty(value = "采购数量", index = 4)
    private BigDecimal purchaseQuantity;

    /**
     * 在途数量
     */
    @ExcelProperty(value = "在途数量", index = 5)
    private BigDecimal inTransitQuantity;

    /**
     * 交付日期
     */
    @ColumnWidth(20)
    @ExcelProperty(value = "交付日期", index = 6)
    private Date deliveryDate;
}
