package com.sd.business.entity.statement.vo;

import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

@Getter
@Setter
public class DocumentByOrderVo {

    /**
     * 订单id
     */
    private Long orderId;

    /**
     * 万里牛订单创建时间
     */
    private Date wlnCreateTime;

    /**
     * 订单号
     */
    private String code;

    /**
     * 万里牛订单号
     */
    private String wlnCode;

    /**
     * 占位符
     */
    private Integer placeholder;

    /**
     * 外箱包装费
     */
    private BigDecimal outerBoxPackingFee;

    /**
     * 合计
     */
    private BigDecimal total;

    /**
     * 店铺来源
     */
    private String sourcePlatform;

    /**
     * 店铺名称
     */
    private String shopName;

    /**
     * 事业部id
     */
    private Long departmentId;

    /**
     * 事业部名称
     */
    private String departmentName;

    /**
     * 对账单id
     */
    private Long statementOfAccountId;

    /**
     * 对账时间
     */
    private Date statementOfAccountTime;

    /**
     * sku规格列表
     */
    private List<SkuSpec> skuSpecList;

    @Getter
    @Setter
    public static class SkuSpec {

        /**
         * 订单id
         */
        private Long orderId;

        /**
         * 订单sku id
         */
        private Long orderSkuId;

        /**
         * sku规格id
         */
        private Long skuSpecId;

        /**
         * sku规格品号
         */
        private String skuSpecCode;

        /**
         * sku规格品名
         */
        private String skuSpecName;

        /**
         * 数量
         */
        private BigDecimal quantity;

        /**
         * sku单价
         */
        private BigDecimal unitPrice;

        /**
         * 小计
         */
        private BigDecimal subtotal;

        /**
         * bom规格列表
         */
        private List<BomSpec> bomSpecList;

    }

    @Getter
    @Setter
    public static class BomSpec {

        /**
         * 订单sku id
         */
        private Long orderSkuId;

        /**
         * bom规格id
         */
        private Long bomSpecId;

        /**
         * bom规格品号
         */
        private String bomSpecCode;

        /**
         * bom规格品名
         */
        private String bomSpecName;

        /**
         * 数量
         */
        private BigDecimal quantity;

        /**
         * bom单价
         */
        private BigDecimal unitPrice;

        /**
         * 定制加工类型
         */
        private String customProcessingType;

        /**
         * 激光logo
         */
        private BigDecimal laserLogoSummary;

        /**
         * 激光线粒体
         */
        private BigDecimal laserMitochondrialSummary;

        /**
         * 代发费
         */
        private BigDecimal lssueFeeSummary;

        /**
         * 快递包材费
         */
        private BigDecimal deliveryMaterialsFeeSummary;

        /**
         * 包装人工费
         */
        private BigDecimal packingLaborSummary;

        /**
         * 管理费
         */
        private BigDecimal managementFeeSummary;

        /**
         * 分类父名称
         */
        private String classifyName;

        /**
         * 单位
         */
        private String unit;

    }

}
