package com.sd.business.mapper.order;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.common.utils.wrapper.IWrapper;
import com.sd.business.entity.order.po.OrderInfo;
import com.sd.business.entity.order.vo.OrderInfoVo;
import com.sd.business.entity.statement.vo.StatementOrderClassifyTotalCountVo;
import org.apache.ibatis.annotations.Param;

import java.math.BigDecimal;

/**
 * <p>
 * 订单 Mapper 接口
 * </p>
 *
 * @author
 * @since 2023-06-30
 */
public interface OrderMapper extends BaseMapper<OrderInfo> {

    /**
     * 订单分页
     */
    Page<OrderInfoVo> getPage(@Param("page") Page<Object> page, @Param("ew") IWrapper<OrderInfo> wrapper);


    /**
     * 获取订单sku 出库数量
     * @return
     */
    BigDecimal getOrderSkuOutStorageQuantity(@Param("ew") IWrapper<OrderInfo> wrapper);

    /**
     * 获取订单sku bom出库数量
     * @return
     */
    BigDecimal getOrderSkuBomOutStorageQuantity(@Param("ew") IWrapper<OrderInfo> wrapper);

    /**
     * 获取订单分类数量总计
     * @param wrapper
     * @return
     */
    StatementOrderClassifyTotalCountVo getOrderClassifyTotalCount(@Param("ew") IWrapper<OrderInfo> wrapper);
}
