package com.sd.business.mapper.sku;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.common.utils.wrapper.IWrapper;
import com.sd.business.entity.bom.bo.BomSpecBo;
import com.sd.business.entity.sku.bo.SkuSpecBo;
import com.sd.business.entity.sku.po.SkuSpec;
import com.sd.business.entity.sku.vo.SkuSpecVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;


/**
 * <p>
 * sku规格 Mapper 接口
 * </p>
 *
 * @author
 * @since 2023-07-05
 */
public interface SkuSpecMapper extends BaseMapper<SkuSpec> {

    /**
     * sku规格分页
     */
    Page<SkuSpecVo> getPage(@Param("page") Page<Object> page, @Param("ew") IWrapper<SkuSpec> wrapper);

    /**
     * 根据sku规格id获取bomId和bom规格id
     */
    List<BomSpecBo> getBomSpecBoList(@Param("ew") QueryWrapper<Object> in);

    /**
     * 根据sku规格id获取sku详情信息
     */
    List<SkuSpecBo> getSkuSpecBoList(@Param("ew") QueryWrapper<Object> in);
}
