package com.sd.business.service.production;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.common.core.service.BaseService;
import com.sd.business.entity.production.dto.ProductionWorkOrderSelectDto;
import com.sd.business.entity.production.po.ProductionWorkOrder;
import com.sd.business.entity.production.vo.ProductionOrderScheduleVo;
import com.sd.business.entity.production.vo.ProductionWorkOrderVo;

import java.util.List;
import java.util.Map;


/**
 * <p>
 * 生产工单 服务类
 * </p>
 *
 * @author
 * @since 2023-07-19
 */
public interface ProductionWorkOrderService extends BaseService<ProductionWorkOrder> {

    /**
     * 生产工单分页
     */
    Page<ProductionWorkOrderVo> getPage(ProductionWorkOrderSelectDto dto);

    /**
     * 获取生产进度
     */
    Map<Long, List<ProductionOrderScheduleVo>> getProductionOrderScheduleMap(List<Long> orderIdList);

    /**
     * 添加工单
     *
     * @param orderId 订单id
     */
    void add(Long orderId);

    /**
     * 发送工单到mq
     *
     * @param list 工单列表
     */
    void sendMq(List<ProductionWorkOrder> list);

}
