package com.sd.business.service.purchase;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.common.core.service.BaseService;
import com.sd.business.entity.purchase.dto.PurchaseArrivalImportDataDto;
import com.sd.business.entity.purchase.dto.PurchasePendingStorageDto;
import com.sd.business.entity.purchase.dto.PurchasePendingStorageSelectDto;
import com.sd.business.entity.purchase.po.PurchasePendingStorage;
import com.sd.business.entity.purchase.vo.PurchasePendingStorageVo;

import java.util.List;

/**
 * <p>
 * 采购待入库 服务类
 * </p>
 *
 * @author
 * @since 2023-10-12
 */
public interface PurchasePendingStorageService extends BaseService<PurchasePendingStorage> {
    /**
     * 采购待入库分页
     * @param dto
     * @return
     */
    Page<PurchasePendingStorageVo> getPage(PurchasePendingStorageSelectDto dto);

    /**
     * 采购待入库明细
     * @param id
     * @return
     */
    PurchasePendingStorageVo detail(Long id);

    /**
     * 采购待入库新增
     * @param dto
     */
    void add(PurchasePendingStorageDto dto);

    /**
     * 采购待入库删除
     * @param id
     */
    void delete(Long id);

    /**
     * 采购到货单导入
     * @param list
     * @return
     */
    PurchasePendingStorageVo purchaseArrivalImport(List<PurchaseArrivalImportDataDto> list);
}
