package com.sd.wln.service;

import com.alibaba.fastjson2.JSONObject;
import com.sd.business.entity.order.po.OrderInfo;
import com.sd.wln.context.OrderContext;

public interface WlnOrderService {

    /**
     * 同步订单
     */
    void syncOrder();

    /**
     * 创建订单
     */
    OrderInfo createOrder(OrderContext context, JSONObject wlnOrder);

    /**
     * 添加订单
     */
    void addOrder(OrderContext context, JSONObject wlnOrder, OrderInfo orderInfo);

    /**
     * 新增或编辑订单
     */
    void saveOrUpdateOrder(OrderContext context);

    /**
     * 锁定库存
     */
    void lockStorage(OrderContext context);

    /**
     * 解锁库存
     */
    void unlockStorage(OrderContext context);

}
